Package org.eclipse.m2m.atl.common.Problem

# Enum Class Severity

java.lang.Object
java.lang.Enum<Severity>
org.eclipse.m2m.atl.common.Problem.Severity

All Implemented Interfaces:
  `Serializable`, `Comparable<Severity>`, `Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum Severity extends Enum<Severity> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Severity', and utility methods for working with them.

See Also:
  - `ProblemPackage.getSeverity()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CRITIC`
The 'Critic' literal object.
`ERROR`
The 'Error' literal object.
`WARNING`
The 'Warning' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CRITIC_VALUE`
The 'Critic' literal value.
`static final int`
`ERROR_VALUE`
The 'Error' literal value.
`static final List<Severity>`
`VALUES`
A public read-only list of all the 'Severity' enumerators.
`static final int`
`WARNING_VALUE`
The 'Warning' literal value.

## Method Summary

Modifier and Type
Method
Description
`static Severity`
`get(int value)`
Returns the 'Severity' literal with the specified integer value.
`static Severity`
`get(String literal)`
Returns the 'Severity' literal with the specified literal value.
`static Severity`
`getByName(String name)`
Returns the 'Severity' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static Severity`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Severity[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CRITIC

public static final Severity CRITIC
The 'Critic' literal object.

See Also:
  - `CRITIC_VALUE`

### ERROR

public static final Severity ERROR
The 'Error' literal object.

See Also:
  - `ERROR_VALUE`

### WARNING

public static final Severity WARNING
The 'Warning' literal object.

See Also:
  - `WARNING_VALUE`

## Field Details

### CRITIC_VALUE

public static final int CRITIC_VALUE
The 'Critic' literal value.

If the meaning of 'Critic' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CRITIC`
  - Constant Field Values

### ERROR_VALUE

public static final int ERROR_VALUE
The 'Error' literal value.

If the meaning of 'Error' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ERROR`
  - Constant Field Values

### WARNING_VALUE

public static final int WARNING_VALUE
The 'Warning' literal value.

If the meaning of 'Warning' literal object isn't clear, there really should be more of a description here...

See Also:
  - `WARNING`
  - Constant Field Values

### VALUES

public static final List<Severity> VALUES
A public read-only list of all the 'Severity' enumerators.

## Method Details

### values

public static Severity[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Severity valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static Severity get(String literal)
Returns the 'Severity' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.

### getByName

public static Severity getByName(String name)
Returns the 'Severity' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.

### get

public static Severity get(int value)
Returns the 'Severity' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<Severity>`